Bug 147400 - gaim receiving SIGPIPE
gaim receiving SIGPIPE
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
3
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 16:18 EST by Paul Wouters
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 02:52:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2005-02-07 16:18:01 EST
Description of problem:
somehow my gaim received a SIGPIPE.  Maybe HAVE_SIGNAL_H isn't getting
set properly for x86_64?

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 182946700256 (LWP 11136)]
0x0000002a975aefef in __write_nocancel () from /lib64/tls/libc.so.6
(gdb) bt
#0  0x0000002a975aefef in __write_nocancel () from /lib64/tls/libc.so.6
#1  0x0000002a9f6370e3 in msn_servconn_write () from
/usr/lib64/gaim/libmsn.so
#2  0x0000002a9f62aec7 in msn_cmdproc_send_quick ()
   from /usr/lib64/gaim/libmsn.so
#3  0x0000002a9f633a73 in msn_notification_close ()
   from /usr/lib64/gaim/libmsn.so
#4  0x0000002a9f63793d in msn_session_set_error ()
   from /usr/lib64/gaim/libmsn.so
#5  0x0000002a9f636f10 in msn_servconn_got_error ()
   from /usr/lib64/gaim/libmsn.so
#6  0x0000002a9f6372c3 in msn_servconn_write () from
/usr/lib64/gaim/libmsn.so
#7  0x000000552ab3a8bc in gaim_gtkdialogs_remove_chat () from
/usr/bin/gaim
#8  0x0000002a9717375d in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#9  0x0000002a97175437 in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
#10 0x0000002a971757d5 in g_main_loop_run () from
/usr/lib64/libglib-2.0.so.0
#11 0x0000002a96281e01 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x000000552ab63036 in main () from /usr/bin/gaim


Version-Release number of selected component (if applicable):
1.1.2-0.fc3

How reproducible:
Sometimes

Steps to Reproduce:
1. no idea. I just had this two times, and then I decided to run in
gdb to get a better idea. I hope the backtrace helps.
It happens once every few days.


Additional info:
Comment 1 Luke Schierer 2005-02-07 16:25:13 EST
SIGPIPE is normal, see gaim.sf.net/gdb.php for details on running gaim
in gdb. 

Note You need to log in before you can comment on or make changes to this bug.